package cli

import (
	"database/sql"
	"fmt"
	"sevenkeys/logic"
)

func MainCliLoop(db *sql.DB, searchOptions logic.SearchOptions) {
	var command string

	for {
		command = GetStringResponse("SEVENKEYS $")

		switch command {
		case "quit":
			return
		case "splash":
			ShowSplashScreen()
			break
		case "stash":
			StashCliLoop(db, searchOptions)
			break
		default:
			fmt.Println("Unrecognized command:", command)
			break
		}
	}
}
